Debian Bug report logs - #357893
manpages-dev: tempnam indicates that the retval (rather than errno) is EEXIST

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Mon, 20 Mar 2006 01:48:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages-dev/2.22-1

Fixed in version 2.26-1

Done: Justin Pryzby <justinpryzby@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#357893; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: submit@bugs.debian.org
Subject: manpages-dev: tempnam indicates that the retval (rather than errno) is EEXIST
Date: Sun, 19 Mar 2006 20:38:40 -0500
Package: manpages-dev
Version: 2.22-1
Severity: minor

I could rant for a while about how the temp file creation functions
all suck, but I'll spare you, but for this (very minor) problem in
tempnam(3):

  Upon failure to find a unique name, glibc will return EEXIST.

In fact, EEXIST is defined (here) as 17, which is a nonsensical
error return value; presumably, what's intended is:

  Upon failure to find a unique name, glibc will return NULL and set
  errno to EEXIST.

(This could also go into "ERRORS", but makes sense in NOTES, too.)



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#357893; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 357893@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,357893@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#357893: manpages-dev: tempnam indicates that the retval (rather than errno) is EEXIST
Date: Mon, 20 Mar 2006 03:13:45 +0100 (MET)
tags 357893 fixed-upstream
thanks

> I could rant for a while about how the temp file creation functions
> all suck, but I'll spare you, but for this (very minor) problem in
> tempnam(3):
> 
>   Upon failure to find a unique name, glibc will return EEXIST.
> 
> In fact, EEXIST is defined (here) as 17, which is a nonsensical
> error return value; presumably, what's intended is:
> 
>   Upon failure to find a unique name, glibc will return NULL and set
>   errno to EEXIST.
> 
> (This could also go into "ERRORS", but makes sense in NOTES, too.)

I agree -- the wording is poor.  I have fixed for 2.26.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 357893-done@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 355468-done@bugs.debian.org, 357148-done@bugs.debian.org, 357739-done@bugs.debian.org, 357893-done@bugs.debian.org
Subject: fixed in manpages 2.26-1
Date: Fri, 28 Apr 2006 10:22:48 -0400
Version: 2.26-1

These bugs are all reported fixed by the upstream manpages maintainer,
Michael Kerrisk.  The bug numbers and titles are:

 #355468 suggestion to unuglify execle prototype
 #357148 mmap(2):: see also::shm_open is in section 3
 #357739 Formatting error resulting in a missing word in stdin.3
 #357893 tempnam indicates that the retval (rather than errno) is EEXIST



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 04:40:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:33:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.